import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.text.*;

public class HelioMenu extends JPanel implements ActionListener {
    private JFrame frame;
    private JTextField bnd, dfast, tfast, dvexp, nptot, gamma, tstop, ttstep;
    private JButton saveButton;

    public HelioMenu () {
        super (new GridBagLayout ());

        frame = new JFrame ("Heliospheric Options");
        setOpaque (true);
        setBorder (BorderFactory.createRaisedBevelBorder ());
        frame.setContentPane (this);
        frame.setResizable (false);

        GridBagConstraints c = new GridBagConstraints ();
        c.gridwidth = GridBagConstraints.REMAINDER;
        c.gridheight = 10;
        c.insets = new Insets (5, 5, 5, 5);
/*
        // Input panel container
        JPanel inputPanel = new JPanel (new GridLayout (8, 2, 10, 10));

        bnd = new JTextField ("a1b2");
        dfast = new JTextField ("150");
        tfast = new JTextField ("0.6");
        dvexp = new JTextField ("2");
        nptot = new JTextField ("0");
        gamma = new JTextField ("1.5");
        tstop = new JTextField ("30");
        ttstep = new JTextField ("27.2753");
        inputPanel.add (new JLabel ("Name:"));
        inputPanel.add (bnd);
        inputPanel.add (new JLabel ("Inner Density:"));
        inputPanel.add (dfast);
        inputPanel.add (new JLabel ("Inner Temperature:"));
        inputPanel.add (tfast);
        inputPanel.add (new JLabel ("Constant Condition:"));
        inputPanel.add (dvexp);
        inputPanel.add (new JLabel ("Specific Heat Ratio:"));
        inputPanel.add (gamma);
        inputPanel.add (new JLabel ("Maximum Time:"));
        inputPanel.add (tstop);
        inputPanel.add (new JLabel ("Data Frequency:"));
        inputPanel.add (ttstep);

        add (inputPanel, c);

        // Save all of the coronal input parameters
        saveButton = new JButton ("Save Input File Parameters");
        saveButton.addActionListener (this);
        saveButton.setActionCommand ("save");
        add (saveButton, c);
*/
        JLabel label = new JLabel ("This version of CORHEL runs ENLIL " +
                                   "with all parameters set to default");
        add (label, c);

        frame.pack ();
        frame.setVisible (false);
    }

/*  Access Method
    public void get
*/

    public void showMenu () {
        frame.setVisible (true);
    }

    public void hideMenu () {
        frame.setVisible (false);
    }

    public void reset () {
    }

    public void saveInput () {
    }

    public void actionPerformed (ActionEvent e) {
        if (e.getActionCommand ().equals ("save")) {
            saveInput ();
            hideMenu ();
        }
    }
}
