import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.text.*;

public class HelpMenu extends JPanel {
    private JFrame frame;
    private JTabbedPane helpPane;
    private JEditorPane corhelPane, coronaPane, helioPane;

    public HelpMenu () {
        super (new GridBagLayout ());

        frame = new JFrame ("Help");
        setOpaque (true);
        setBorder (BorderFactory.createRaisedBevelBorder ());
        frame.setContentPane (this);
        frame.setResizable (false);

        GridBagConstraints c = new GridBagConstraints ();
        c.gridwidth = GridBagConstraints.REMAINDER;
        c.insets = new Insets (5, 5, 5, 5);

        JLabel label = new JLabel ("This Help Menu is in progress");
        add (label, c);

        frame.pack ();
        frame.setVisible (false);
    }

    public void showMenu () {
        frame.setVisible (true);
    }

    public void hideMenu () {
        frame.setVisible (false);
    }
}
