#---------------------------------------------------------------------
#Create the job parameters

  echo "#! /bin/csh"                           > job
  echo "#@ job_name = $run"                   >> job
  echo "#@ initialdir = $dir/$proj/$run"      >> job
  echo "#@ wall_clock_limit = 06:00"          >> job
  echo "#"                                    >> job
  echo "#@ step_name = parallel_step"         >> job
  echo "#@ executable = run"                  >> job
  echo "#@ input  = in"                       >> job
  echo "#@ output = out"                      >> job
  echo "#@ error  = err"                      >> job
  echo "#@ class = com_reg"                   >> job
  echo "#@ job_type = parallel"               >> job
  echo "#@ total_tasks = $procs"              >> job
  echo "#@ tasks_per_node = 4"                >> job
  echo "#@ network.MPI = csss,shared,us"      >> job
  echo "#@ node_usage = not_shared"           >> job
  echo "#@ environment = MPI_INFOLEVEL=5;MPI_SHARED_MEMORY=yes" >> job
  echo "#@ queue"                             >> job
  echo "#"                                    >> job
  echo "#@ dependency = (parallel_step == 0)" >> job
  echo "#@ step_name = post_processing"       >> job
  echo "#@ executable = run2"                 >> job
  echo "#@ input  = in"                       >> job
  echo "#@ output = out2"                     >> job
  echo "#@ error  = err2"                     >> job
  echo "#@ class = com_reg"                   >> job
  echo "#@ job_type = serial"                 >> job
  echo "#@ node_usage = not_shared"           >> job
  echo "#@ queue"                             >> job

#---------------------------------------------------------------------
