!****m* e0pro/main
! NAME 
!   COMCLD
! PURPOSE
!   Cone model parameters
! HISTORY
!   2005-03-12 DO NOAA/SEC
!*********************************************************************
MODULE COMCLD
!---------------------------------------------------------------------  
  USE comdim        !Get actual array dimensions
  IMPLICIT NONE
  PUBLIC
!---------------------------------------------------------------------  
!L       P.1       Time-dependent boundary values             
  INTEGER, PARAMETER :: maxtim=116
  REAL(8), DIMENSION(maxtim) :: timebn_rec, timebo_rec, timeba_rec
  REAL(8), DIMENSION(maxtim) :: x1bo_rec
  REAL(8), DIMENSION(ncc2,maxtim) :: x2bo_rec
  REAL(8), DIMENSION(ncc3,maxtim) :: x3bo_rec
  REAL(8), DIMENSION(maxtim) :: x1boh_rec
  REAL(8), DIMENSION(nhh2,maxtim) :: x2boh_rec
  REAL(8), DIMENSION(nhh3,maxtim) :: x3boh_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: dbo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: tbo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: v1bo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: v2bo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: v3bo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: b1bo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: b2bo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: b3bo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: dpbo_rec
  REAL(8), DIMENSION(ncc2,ncc3,maxtim) :: bpbo_rec
!---------------------------------------------------------------------
END MODULE COMCLD                             
